#!/bin/bash

############################
# zephirlogs.sh
# instructions spécifiques
# au module ZephirLogs
############################
#    Main
if [ -x /usr/share/eole/FonctionsEoleNg ]; then
. /usr/share/eole/FonctionsEoleNg
else
        echo 'Erreur : FonctionsEoleNg non trouvé'
        exit 1
fi

if [ -x /usr/bin/ParseDico ]; then
. /usr/bin/ParseDico
else
	echo 'Erreur : ParseDico non trouvé'
	exit 1
fi

## Creation du nouveau mot de passe root mysql
pass_root=`/usr/bin/pwgen -1`
/usr/share/eole/mysql_pwd.py "$pass_root" nomodif >/dev/null

## PrelugeManager
echo
if [ -x "/usr/bin/prelude-admin" ]; then
        echo "Création de l'utilisateur prelude-manager"
        /usr/bin/prelude-admin add prelude-manager --uid prelude --gid prelude
        /usr/bin/prelude-admin chown prelude-manager --uid prelude --gid prelude
else
        echo "Erreur pas de programme prelude-admin !"
fi

if [ ! -f /var/lib/mysql/prelude/db.opt ]
then
        if [ -f /usr/share/libpreludedb/classic/mysql.sql ]
        then
                mysql -u root --password=$pass_root -e "create database prelude;"
                mysql -u root --password=$pass_root prelude < /usr/share/libpreludedb/classic/mysql.sql
                mysql -u root --password=$pass_root -e "grant select,insert,update,delete,alter ON prelude.* TO prelude@localhost IDENTIFIED BY 'prelude';"
        fi
fi

## PREWIKKA
if [ ! -f /var/lib/mysql/prewikka/db.opt ]
then
        if [ -f /usr/share/dbconfig-common/data/prewikka/install/mysql ]
        then
                mysql -u root --password=$pass_root -e "create database prewikka;"
                mysql -u root --password=$pass_root prewikka < /usr/share/dbconfig-common/data/prewikka/install/mysql
                mysql -u root --password=$pass_root -e "grant select,insert,update,delete,alter ON prewikka.* TO prewikka@localhost IDENTIFIED BY 'prewikka';"
        fi
fi

echo
# synchro des mots de passe
PASS=`/usr/bin/pwgen -1`
/usr/share/eole/mysql_pwd.py "$PASS"
echo
